# Build
## Frontend
1. `cd frontend`
2. `npm install`
3. `npm run (watch/build)`

# Run
## Backend
1. `cargo r`

# Test
## Frontend
- `npx playwright test --workers 1 --project firefox`
- Nice UI: `--ui`
- Generate tests: `npx playwright codegen`

## Backend (Unit + Integration)
`cargo t`

# Lints

- Rust: `cargo check`
- Tera files: `djlint **.html.tera --profile=jinja --reformat`
- Typescript: `prettier -w *.ts`
